// pages/home/index.js
const imageCdn = 'https://tdesign.gtimg.com/miniprogram/images/';
const swiperList = [
    `${imageCdn}/swiper1.png`,
    `${imageCdn}/swiper2.png`,
    `${imageCdn}/swiper3.png`,
    `${imageCdn}/swiper4.png`,
    `${imageCdn}/swiper5.png`,
];

const app = getApp()
import api from '../api/api'

Page({

    /**
     * 页面的初始数据
     */
    data: {
        current: 0,
        autoplay: false,
        duration: 500,
        interval: 5000,
        swiperList,
        list: [],
        pageNumber: 1,
        pageSize: 20,
        status: '待接单',
        statistics: {}
    },
    /* 去详情 */
    toDetail(e) {
        console.log(e)
        const {
            item
        } = e.currentTarget.dataset;
        wx.navigateTo({
            url: (item.team.some(v => v.userid == wx.getStorageSync('userMsg').userid) ? '/Eservice/workOrderDetail/index' : '/Eservice/workerLeader/editworkOrderDetail/index') + '?id=' + item.sa_workorderid,
        })
    },
    async listData() {
        const res = await api._post({
            "id": "20230208140203",
            "version": 1,
            "content": {
                "pageNumber": this.data.pageNumber,
                "pageSize": this.data.pageSize,
                "where": {
                    "status": this.data.status,
                    "condition": ""
                }
            }
        })
        console.log(res)
        this.setData({
            statistics: res.data[0].rows_total[0]
        })
        if (!res.data[0].billno) return false;
        this.setData({
            list: this.data.pageNumber == 1 ? res.data : this.data.list.concat(res.data)
        })
        console.log(this.data.statistics)
    },
    onTabsChange(e) {
        this.data.status = e.detail.value;
        this.onPullDownRefresh()
    },
    onLoad(options) {
        this.listData()
    },
    onShow() {
        this.setData({
            pageNumber: 1,
        })
        this.listData()
    },
    onPullDownRefresh() {
        this.setData({
            pageNumber: 1,
            list: []
        })
        this.listData()
    },
    onReachBottom() {
        this.data.pageNumber++
        this.setData({
            pageNumber: this.data.pageNumber,
        })
        this.listData()
    },
})